org.richfaces.ui.select

## Class AbstractOrderingComponent

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectMany
          - - org.richfaces.ui.select.AbstractSelectManyComponent
            - - org.richfaces.ui.select.AbstractOrderingComponent

- All Implemented Interfaces:
    EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    AbstractOrderingList, AbstractPickList

      public abstract class AbstractOrderingComponent
      extends AbstractSelectManyComponent

  Author:
    Brian Leathem

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UISelectMany

      `COMPONENT_FAMILY, COMPONENT_TYPE, INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOrderingComponent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `compareValues(Object previous, Object value)`
    `abstract String` | `getDownBottomText()` The text to display in the move-to-bottom button
    `abstract String` | `getDownText()` The text to display in the move-down button
    `abstract String` | `getUpText()` The text to display in the move-up button
    `abstract String` | `getUpTopText()` The text to display in the move-to-top button
    `abstract boolean` | `isShowButton()`

    - ### Methods inherited from class org.richfaces.ui.select.AbstractSelectManyComponent

      `columns, getActiveClass, getChangedClass, getCollectionType, getColumnClasses, getDisabledClass, getHeaderClass, getItemClass, getListHeight, getListWidth, getMaxListHeight, getMinListHeight, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getSelectItemClass, getStyle, getStyleClass, getVar, isDisabled, validateValue`

    - ### Methods inherited from class javax.faces.component.UISelectMany

      `getFamily, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Constructor Detail

    - #### AbstractOrderingComponent

          public AbstractOrderingComponent()

  - ### Method Detail

    - #### isShowButton

          public abstract boolean isShowButton()

    - #### getUpTopText

          public abstract String getUpTopText()

      The text to display in the move-to-top button

    - #### getUpText

          public abstract String getUpText()

      The text to display in the move-up button

    - #### getDownText

          public abstract String getDownText()

      The text to display in the move-down button

    - #### getDownBottomText

          public abstract String getDownBottomText()

      The text to display in the move-to-bottom button

    - #### compareValues

          protected boolean compareValues(Object previous,
                              Object value)

      Overrides:
        `compareValues` in class `javax.faces.component.UISelectMany`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.